Save (or update) the Display Identity Record draft
curl --request PUT \
--url https://api.revdesk.com/v1/caller-trust/brand \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"call_reasons": [
"<string>"
],
"authorizer_name": "<string>",
"authorizer_email": "jsmith@example.com"
}
'import requests
url = "https://api.revdesk.com/v1/caller-trust/brand"
payload = {
"display_name": "<string>",
"call_reasons": ["<string>"],
"authorizer_name": "<string>",
"authorizer_email": "jsmith@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
display_name: '<string>',
call_reasons: ['<string>'],
authorizer_name: '<string>',
authorizer_email: 'jsmith@example.com'
})
};
fetch('https://api.revdesk.com/v1/caller-trust/brand', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"display_name": "<string>",
"call_reasons": [
"<string>"
],
"status": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {},
"doc_url": "<string>"
}
}Branded Calling
Save (or update) the Display Identity Record draft
Persists the brand (display name, call reasons, authorizer) against the caller’s enterprise and mirrors it to the carrier while the DIR is editable. Requires the Branded Calling add-on. Submit for vetting via POST /v1/caller-trust/brand/submit.
PUT
/
v1
/
caller-trust
/
brand
Save (or update) the Display Identity Record draft
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
UUID — when present, deduplicates repeat submissions. See /api-reference/idempotency.
Body
application/json
Required string length:
1 - 35Required array length:
1 - 10 elementsRequired string length:
1 - 64Required string length:
1 - 255Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Response
Success
Show child attributes
Show child attributes
⌘I